[ARVADOS-DEV] updated: 886c3c5c57c6419aceb390aea88c5886f43bbf42

git at public.curoverse.com git at public.curoverse.com
Sat Jan 9 22:34:21 EST 2016


Summary of changes:
 jenkins/run-build-packages.sh | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

       via  886c3c5c57c6419aceb390aea88c5886f43bbf42 (commit)
       via  5560d70bf29553b1d0719dda060d298de7bfc338 (commit)
      from  d42d4368192ec140faf161db6c98a500aa39fdcd (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 886c3c5c57c6419aceb390aea88c5886f43bbf42
Author: Brett Smith <brett at curoverse.com>
Date:   Sat Jan 9 22:34:18 2016 -0500

    7991: pip build process detects if --no-use-wheel is supported.
    
    Refs #7991.

diff --git a/jenkins/run-build-packages.sh b/jenkins/run-build-packages.sh
index 72cc476..c6e658c 100755
--- a/jenkins/run-build-packages.sh
+++ b/jenkins/run-build-packages.sh
@@ -359,6 +359,15 @@ fpm_build $LIBCLOUD_DIR "$PYTHON2_PKG_PREFIX"-apache-libcloud
 rm -rf $LIBCLOUD_DIR
 
 # Python 2 dependencies
+declare -a PIP_DOWNLOAD_SWITCHES=(--no-deps)
+# Add --no-use-wheel if this pip knows it.
+pip wheel --help >/dev/null 2>&1
+case "$?" in
+    0) PIP_DOWNLOAD_SWITCHES+=(--no-use-wheel) ;;
+    2) ;;
+    *) echo "WARNING: `pip wheel` test returned unknown exit code $?" ;;
+esac
+
 for deppkg in "${PYTHON_BACKPORTS[@]}"; do
     outname=$(echo "$deppkg" | sed -e 's/^python-//' -e 's/[<=>].*//' -e 's/_/-/g' -e "s/^/${PYTHON2_PKG_PREFIX}-/")
     case "$deppkg" in
@@ -368,7 +377,7 @@ for deppkg in "${PYTHON_BACKPORTS[@]}"; do
             pyfpm_workdir=$(mktemp --tmpdir -d pyfpm-XXXXXX) && (
                 set -e
                 cd "$pyfpm_workdir"
-                pip install --no-deps --no-use-wheel --download . "$deppkg"
+                pip install "${PIP_DOWNLOAD_SWITCHES[@]}" --download . "$deppkg"
                 tar -xf "$deppkg"-*.tar*
                 cd "$deppkg"-*/
                 "python$PYTHON2_VERSION" setup.py $DASHQ_UNLESS_DEBUG egg_info build

commit 5560d70bf29553b1d0719dda060d298de7bfc338
Author: Brett Smith <brett at curoverse.com>
Date:   Sat Jan 9 22:33:34 2016 -0500

    7991: Update error message for pip build errors.
    
    Refs #7991.

diff --git a/jenkins/run-build-packages.sh b/jenkins/run-build-packages.sh
index 6f8af19..72cc476 100755
--- a/jenkins/run-build-packages.sh
+++ b/jenkins/run-build-packages.sh
@@ -382,7 +382,7 @@ for deppkg in "${PYTHON_BACKPORTS[@]}"; do
                 mv --no-clobber "$outname"*.$FORMAT "$WORKSPACE/packages/$TARGET"
             )
             if [ 0 != "$?" ]; then
-                echo "ERROR: httplib2 build process failed"
+                echo "ERROR: $deppkg build process failed"
                 EXITCODE=1
             fi
             if [ -n "$pyfpm_workdir" ]; then

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list